FAPI object serialization module
Feature API » Internals of Feature API

## Functions

TSS2_RC | ifapi_json_FAPI_QUOTE_INFO_serialize (const FAPI_QUOTE_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_CAP_INFO_serialize (const IFAPI_CAP_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_DUPLICATE_serialize (const IFAPI_DUPLICATE *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_EVENT_TYPE_serialize (const IFAPI_EVENT_TYPE in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_EVENT_TYPE_serialize_txt (const IFAPI_EVENT_TYPE in, json_object **str_jso)
TSS2_RC | ifapi_json_IFAPI_EVENT_UNION_serialize (const IFAPI_EVENT_UNION *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_EVENT_serialize (const IFAPI_EVENT *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_EXT_PUB_KEY_serialize (const IFAPI_EXT_PUB_KEY *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_HIERARCHY_serialize (const IFAPI_HIERARCHY *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_IMA_EVENT_serialize (const IFAPI_IMA_EVENT *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_INFO_serialize (const IFAPI_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_KEY_serialize (const IFAPI_KEY *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_NV_serialize (const IFAPI_NV *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_OBJECT_TYPE_CONSTANT_serialize (const IFAPI_OBJECT_TYPE_CONSTANT in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_OBJECT_serialize (const IFAPI_OBJECT *in, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_TSS_EVENT_serialize (const IFAPI_TSS_EVENT *in, json_object **jso)
TSS2_RC | ifapi_json_UINT8_ARY_serialize (const UINT8_ARY *in, json_object **jso)
TSS2_RC | ifapi_json_char_serialize (const char *in, json_object **jso)
TSS2_RC | ifapi_json_INT32_serialize (const INT32 in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_CREATION_DATA_serialize (const TPM2B_CREATION_DATA *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_DATA_serialize (const TPM2B_DATA *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_DIGEST_serialize (const TPM2B_DIGEST *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_ECC_PARAMETER_serialize (const TPM2B_ECC_PARAMETER *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_ENCRYPTED_SECRET_serialize (const TPM2B_ENCRYPTED_SECRET *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_EVENT_serialize (const TPM2B_EVENT *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_MAX_NV_BUFFER_serialize (const TPM2B_MAX_NV_BUFFER *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_NAME_serialize (const TPM2B_NAME *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_NONCE_serialize (const TPM2B_NONCE *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_NV_PUBLIC_serialize (const TPM2B_NV_PUBLIC *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_OPERAND_serialize (const TPM2B_OPERAND *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_PRIVATE_serialize (const TPM2B_PRIVATE *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_PUBLIC_KEY_RSA_serialize (const TPM2B_PUBLIC_KEY_RSA *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2B_PUBLIC_serialize (const TPM2B_PUBLIC *in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_ALG_ID_serialize (const TPM2_ALG_ID in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_CAP_serialize (const TPM2_CAP in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_CC_serialize (const TPM2_CC in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_ECC_CURVE_serialize (const TPM2_ECC_CURVE in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_EO_serialize (const TPM2_EO in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_GENERATED_serialize (const TPM2_GENERATED in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_HANDLE_serialize (const TPM2_HANDLE in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_NT_serialize (const TPM2_NT in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_PT_PCR_serialize (const TPM2_PT_PCR in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_PT_serialize (const TPM2_PT in, json_object **jso)
TSS2_RC | ifapi_json_TPM2_ST_serialize (const TPM2_ST in, json_object **jso)
TSS2_RC | ifapi_json_TPMA_ALGORITHM_serialize (const TPMA_ALGORITHM in, json_object **jso)
TSS2_RC | ifapi_json_TPMA_CC_serialize (const TPMA_CC in, json_object **jso)
TSS2_RC | ifapi_json_TPMA_LOCALITY_serialize (const TPMA_LOCALITY in, json_object **jso)
TSS2_RC | ifapi_json_TPMA_NV_serialize (const TPMA_NV in, json_object **jso)
TSS2_RC | ifapi_json_TPMA_OBJECT_serialize (const TPMA_OBJECT in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_AES_KEY_BITS_serialize (const TPMI_AES_KEY_BITS in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_ASYM_SCHEME_serialize (const TPMI_ALG_ASYM_SCHEME in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_ECC_SCHEME_serialize (const TPMI_ALG_ECC_SCHEME in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_HASH_serialize (const TPMI_ALG_HASH in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_KDF_serialize (const TPMI_ALG_KDF in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_KEYEDHASH_SCHEME_serialize (const TPMI_ALG_KEYEDHASH_SCHEME in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_PUBLIC_serialize (const TPMI_ALG_PUBLIC in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_RSA_SCHEME_serialize (const TPMI_ALG_RSA_SCHEME in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_SIG_SCHEME_serialize (const TPMI_ALG_SIG_SCHEME in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_SYM_MODE_serialize (const TPMI_ALG_SYM_MODE in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_CIPHER_MODE_serialize (const TPMI_ALG_CIPHER_MODE in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ALG_SYM_OBJECT_serialize (const TPMI_ALG_SYM_OBJECT in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ECC_CURVE_serialize (const TPMI_ECC_CURVE in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_RH_HIERARCHY_serialize (const TPMI_RH_HIERARCHY in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_RH_NV_INDEX_serialize (const TPMI_RH_NV_INDEX in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_RSA_KEY_BITS_serialize (const TPMI_RSA_KEY_BITS in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_ST_ATTEST_serialize (const TPMI_ST_ATTEST in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_YES_NO_serialize (const TPMI_YES_NO in, json_object **jso)
TSS2_RC | ifapi_json_TPML_ALG_PROPERTY_serialize (const TPML_ALG_PROPERTY *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_CCA_serialize (const TPML_CCA *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_CC_serialize (const TPML_CC *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_DIGEST_VALUES_serialize (const TPML_DIGEST_VALUES *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_ECC_CURVE_serialize (const TPML_ECC_CURVE *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_HANDLE_serialize (const TPML_HANDLE *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_PCR_SELECTION_serialize (const TPML_PCR_SELECTION *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_TAGGED_PCR_PROPERTY_serialize (const TPML_TAGGED_PCR_PROPERTY *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_TAGGED_TPM_PROPERTY_serialize (const TPML_TAGGED_TPM_PROPERTY *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_ALG_PROPERTY_serialize (const TPMS_ALG_PROPERTY *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_ATTEST_serialize (const TPMS_ATTEST *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_CAPABILITY_DATA_serialize (const TPMS_CAPABILITY_DATA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_CERTIFY_INFO_serialize (const TPMS_CERTIFY_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_CLOCK_INFO_serialize (const TPMS_CLOCK_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_COMMAND_AUDIT_INFO_serialize (const TPMS_COMMAND_AUDIT_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_CREATION_DATA_serialize (const TPMS_CREATION_DATA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_CREATION_INFO_serialize (const TPMS_CREATION_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_ECC_PARMS_serialize (const TPMS_ECC_PARMS *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_ECC_POINT_serialize (const TPMS_ECC_POINT *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_EMPTY_serialize (const TPMS_EMPTY *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_ENC_SCHEME_OAEP_serialize (const TPMS_ENC_SCHEME_OAEP *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_ENC_SCHEME_RSAES_serialize (const TPMS_ENC_SCHEME_RSAES *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_KEYEDHASH_PARMS_serialize (const TPMS_KEYEDHASH_PARMS *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_KEY_SCHEME_ECDH_serialize (const TPMS_KEY_SCHEME_ECDH *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_NV_CERTIFY_INFO_serialize (const TPMS_NV_CERTIFY_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_NV_PUBLIC_serialize (const TPMS_NV_PUBLIC *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_PCR_SELECTION_serialize (const TPMS_PCR_SELECTION *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_PCR_SELECT_serialize (const TPMS_PCR_SELECT *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_QUOTE_INFO_serialize (const TPMS_QUOTE_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_RSA_PARMS_serialize (const TPMS_RSA_PARMS *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SCHEME_ECDAA_serialize (const TPMS_SCHEME_ECDAA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SCHEME_HASH_serialize (const TPMS_SCHEME_HASH *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SCHEME_HMAC_serialize (const TPMS_SCHEME_HMAC *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SCHEME_KDF1_SP800_108_serialize (const TPMS_SCHEME_KDF1_SP800_108 *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SCHEME_KDF1_SP800_56A_serialize (const TPMS_SCHEME_KDF1_SP800_56A *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SCHEME_MGF1_serialize (const TPMS_SCHEME_MGF1 *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SCHEME_XOR_serialize (const TPMS_SCHEME_XOR *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SESSION_AUDIT_INFO_serialize (const TPMS_SESSION_AUDIT_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECC_serialize (const TPMS_SIGNATURE_ECC *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECDAA_serialize (const TPMS_SIGNATURE_ECDAA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECDSA_serialize (const TPMS_SIGNATURE_ECDSA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_ECSCHNORR_serialize (const TPMS_SIGNATURE_ECSCHNORR *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_RSAPSS_serialize (const TPMS_SIGNATURE_RSAPSS *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_RSASSA_serialize (const TPMS_SIGNATURE_RSASSA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_RSA_serialize (const TPMS_SIGNATURE_RSA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIGNATURE_SM2_serialize (const TPMS_SIGNATURE_SM2 *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_ECDAA_serialize (const TPMS_SIG_SCHEME_ECDAA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_ECDSA_serialize (const TPMS_SIG_SCHEME_ECDSA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_ECSCHNORR_serialize (const TPMS_SIG_SCHEME_ECSCHNORR *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_RSAPSS_serialize (const TPMS_SIG_SCHEME_RSAPSS *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_RSASSA_serialize (const TPMS_SIG_SCHEME_RSASSA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SIG_SCHEME_SM2_serialize (const TPMS_SIG_SCHEME_SM2 *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_SYMCIPHER_PARMS_serialize (const TPMS_SYMCIPHER_PARMS *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_TAGGED_PCR_SELECT_serialize (const TPMS_TAGGED_PCR_SELECT *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_TAGGED_PROPERTY_serialize (const TPMS_TAGGED_PROPERTY *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_TIME_ATTEST_INFO_serialize (const TPMS_TIME_ATTEST_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_TIME_INFO_serialize (const TPMS_TIME_INFO *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_ASYM_SCHEME_serialize (const TPMT_ASYM_SCHEME *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_ECC_SCHEME_serialize (const TPMT_ECC_SCHEME *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_HA_serialize (const TPMT_HA *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_KDF_SCHEME_serialize (const TPMT_KDF_SCHEME *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_KEYEDHASH_SCHEME_serialize (const TPMT_KEYEDHASH_SCHEME *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_PUBLIC_serialize (const TPMT_PUBLIC *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_RSA_SCHEME_serialize (const TPMT_RSA_SCHEME *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_SIGNATURE_serialize (const TPMT_SIGNATURE *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_SIG_SCHEME_serialize (const TPMT_SIG_SCHEME *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_SYM_DEF_OBJECT_serialize (const TPMT_SYM_DEF_OBJECT *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_TK_CREATION_serialize (const TPMT_TK_CREATION *in, json_object **jso)
TSS2_RC | ifapi_json_TPMU_ASYM_SCHEME_serialize (const TPMU_ASYM_SCHEME *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_ATTEST_serialize (const TPMU_ATTEST *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_CAPABILITIES_serialize (const TPMU_CAPABILITIES *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_HA_serialize (const TPMU_HA *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_KDF_SCHEME_serialize (const TPMU_KDF_SCHEME *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_PUBLIC_ID_serialize (const TPMU_PUBLIC_ID *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_PUBLIC_PARMS_serialize (const TPMU_PUBLIC_PARMS *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_SCHEME_KEYEDHASH_serialize (const TPMU_SCHEME_KEYEDHASH *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_SIGNATURE_serialize (const TPMU_SIGNATURE *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_SIG_SCHEME_serialize (const TPMU_SIG_SCHEME *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_SYM_KEY_BITS_serialize (const TPMU_SYM_KEY_BITS *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_TPMU_SYM_MODE_serialize (const TPMU_SYM_MODE *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_UINT16_serialize (const UINT16 in, json_object **jso)
TSS2_RC | ifapi_json_UINT32_serialize (const UINT32 in, json_object **jso)
TSS2_RC | ifapi_json_UINT64_serialize (UINT64 in, json_object **jso)
TSS2_RC | ifapi_json_pcr_select_serialize (const UINT8 sizeofSelect, const BYTE pcrSelect[], json_object **jso)
TSS2_RC | ifapi_json_TPMI_POLICYTYPE_serialize (const TPMI_POLICYTYPE in, json_object **jso)
TSS2_RC | ifapi_json_TPMI_POLICYTYPE_serialize_txt (const TPMI_POLICYTYPE in, json_object **str_jso)
TSS2_RC | ifapi_json_TPML_PCRVALUES_serialize (const TPML_PCRVALUES *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_POLICYBRANCHES_serialize (const TPML_POLICYBRANCHES *in, json_object **jso)
TSS2_RC | ifapi_json_TPML_POLICYELEMENTS_serialize (const TPML_POLICYELEMENTS *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_PCRVALUE_serialize (const TPMS_PCRVALUE *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYACTION_serialize (const TPMS_POLICYACTION *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHORIZATION_serialize (const TPMS_POLICYAUTHORIZATION *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHORIZENV_serialize (const TPMS_POLICYAUTHORIZENV *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHORIZE_serialize (const TPMS_POLICYAUTHORIZE *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYAUTHVALUE_serialize (const TPMS_POLICYAUTHVALUE *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYBRANCH_serialize (const TPMS_POLICYBRANCH *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYCOMMANDCODE_serialize (const TPMS_POLICYCOMMANDCODE *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYCOUNTERTIMER_serialize (const TPMS_POLICYCOUNTERTIMER *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYCPHASH_serialize (const TPMS_POLICYCPHASH *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYDUPLICATIONSELECT_serialize (const TPMS_POLICYDUPLICATIONSELECT *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYLOCALITY_serialize (const TPMS_POLICYLOCALITY *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYNAMEHASH_serialize (const TPMS_POLICYNAMEHASH *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYNVWRITTEN_serialize (const TPMS_POLICYNVWRITTEN *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYNV_serialize (const TPMS_POLICYNV *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYOR_serialize (const TPMS_POLICYOR *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYPASSWORD_serialize (const TPMS_POLICYPASSWORD *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYPCR_serialize (const TPMS_POLICYPCR *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYPHYSICALPRESENCE_serialize (const TPMS_POLICYPHYSICALPRESENCE *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYSECRET_serialize (const TPMS_POLICYSECRET *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYSIGNED_serialize (const TPMS_POLICYSIGNED *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICYTEMPLATE_serialize (const TPMS_POLICYTEMPLATE *in, json_object **jso)
TSS2_RC | ifapi_json_TPMS_POLICY_serialize (const TPMS_POLICY *in, json_object **jso)
TSS2_RC | ifapi_json_TPMT_POLICYELEMENT_serialize (const TPMT_POLICYELEMENT *in, json_object **jso)
TSS2_RC | ifapi_json_TPMU_POLICYELEMENT_serialize (const TPMU_POLICYELEMENT *in, UINT32 selector, json_object **jso)
TSS2_RC | ifapi_json_IFAPI_CONFIG_serialize (const IFAPI_CONFIG *in, json_object **jso)

## Detailed Description

Provides functions for the serialization of FAPI objects to JSON.

## Function Documentation

## ifapi_json_char_serialize()

TSS2_RC ifapi_json_char_serialize | ( | const char * | in,
|  | json_object ** | jso )

Serialize a character string to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.

## ifapi_json_FAPI_QUOTE_INFO_serialize()

TSS2_RC ifapi_json_FAPI_QUOTE_INFO_serialize | ( | const FAPI_QUOTE_INFO * | in,
|  | json_object ** | jso )

Serialize value of type FAPI_QUOTE_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type FAPI_QUOTE_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_CAP_INFO_serialize()

TSS2_RC ifapi_json_IFAPI_CAP_INFO_serialize | ( | const IFAPI_CAP_INFO * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_CAP_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_CONFIG_serialize()

TSS2_RC ifapi_json_IFAPI_CONFIG_serialize | ( | const IFAPI_CONFIG * | in,
|  | json_object ** | jso )

Serializes a configuration JSON object.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_KEY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_DUPLICATE_serialize()

TSS2_RC ifapi_json_IFAPI_DUPLICATE_serialize | ( | const IFAPI_DUPLICATE * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_DUPLICATE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_DUPLICATE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_EVENT_serialize()

TSS2_RC ifapi_json_IFAPI_EVENT_serialize | ( | const IFAPI_EVENT * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_EVENT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_EVENT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_EVENT_TYPE_serialize()

TSS2_RC ifapi_json_IFAPI_EVENT_TYPE_serialize | ( | const IFAPI_EVENT_TYPE | in,
|  | json_object ** | jso )

Serialize IFAPI_EVENT_TYPE to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type IFAPI_EVENT_TYPE.

## ifapi_json_IFAPI_EVENT_TYPE_serialize_txt()

TSS2_RC ifapi_json_IFAPI_EVENT_TYPE_serialize_txt | ( | const IFAPI_EVENT_TYPE | in,
|  | json_object ** | str_jso )

Get json object for a constant, if a variable is actually of type IFAPI_EVENT_TYPE.

Parameters

  [in] | in | binary value of constant.
  [out] | str_jso | object with text representing the constant.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type IFAPI_EVENT_TYPE.

## ifapi_json_IFAPI_EVENT_UNION_serialize()

TSS2_RC ifapi_json_IFAPI_EVENT_UNION_serialize | ( | const IFAPI_EVENT_UNION * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a IFAPI_EVENT_UNION to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the event.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_EVENT_UNION.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_EXT_PUB_KEY_serialize()

TSS2_RC ifapi_json_IFAPI_EXT_PUB_KEY_serialize | ( | const IFAPI_EXT_PUB_KEY * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_EXT_PUB_KEY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_EXT_PUB_KEY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_HIERARCHY_serialize()

TSS2_RC ifapi_json_IFAPI_HIERARCHY_serialize | ( | const IFAPI_HIERARCHY * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_NV to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_NV.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_IMA_EVENT_serialize()

TSS2_RC ifapi_json_IFAPI_IMA_EVENT_serialize | ( | const IFAPI_IMA_EVENT * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_IMA_EVENT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_IMA_EVENT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_INFO_serialize()

TSS2_RC ifapi_json_IFAPI_INFO_serialize | ( | const IFAPI_INFO * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_KEY_serialize()

TSS2_RC ifapi_json_IFAPI_KEY_serialize | ( | const IFAPI_KEY * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_KEY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_KEY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_NV_serialize()

TSS2_RC ifapi_json_IFAPI_NV_serialize | ( | const IFAPI_NV * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_NV to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_NV.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_OBJECT_serialize()

TSS2_RC ifapi_json_IFAPI_OBJECT_serialize | ( | const IFAPI_OBJECT * | in,
|  | json_object ** | jso )

Serialize a IFAPI_OBJECT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_OBJECT.
  TSS2_FAPI_RC_GENERAL_FAILURE | if an internal error occurred.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_IFAPI_OBJECT_TYPE_CONSTANT_serialize()

TSS2_RC ifapi_json_IFAPI_OBJECT_TYPE_CONSTANT_serialize | ( | const IFAPI_OBJECT_TYPE_CONSTANT | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_OBJECT_TYPE_CONSTANT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2_HANDLE.

## ifapi_json_IFAPI_TSS_EVENT_serialize()

TSS2_RC ifapi_json_IFAPI_TSS_EVENT_serialize | ( | const IFAPI_TSS_EVENT * | in,
|  | json_object ** | jso )

Serialize value of type IFAPI_TSS_EVENT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type IFAPI_TSS_EVENT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_INT32_serialize()

TSS2_RC ifapi_json_INT32_serialize | ( | const INT32 | in,
|  | json_object ** | jso )

Serialize a base_type INT32 to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type INT32.

## ifapi_json_pcr_select_serialize()

TSS2_RC ifapi_json_pcr_select_serialize | ( | const UINT8 | sizeofSelect,
|  | const BYTE | pcrSelect[],
|  | json_object ** | jso )

Serialize a pcr selection to json

Parameters

  [in] | sizeofSelect | size of selection byte array.
  [in] | pcrSelect | selection array.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if sizeofSelect is too big.

## ifapi_json_TPM2_ALG_ID_serialize()

TSS2_RC ifapi_json_TPM2_ALG_ID_serialize | ( | const TPM2_ALG_ID | in,
|  | json_object ** | jso )

Serialize TPM2_ALG_ID to json.

For hash algs lowercase is used because it's required for JSON events in Canonical Event Log specification.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_ALG_ID.

## ifapi_json_TPM2_CAP_serialize()

TSS2_RC ifapi_json_TPM2_CAP_serialize | ( | const TPM2_CAP | in,
|  | json_object ** | jso )

Serialize TPM2_CAP to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_CAP.

## ifapi_json_TPM2_CC_serialize()

TSS2_RC ifapi_json_TPM2_CC_serialize | ( | const TPM2_CC | in,
|  | json_object ** | jso )

Serialize TPM2_CC to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_CC.

## ifapi_json_TPM2_ECC_CURVE_serialize()

TSS2_RC ifapi_json_TPM2_ECC_CURVE_serialize | ( | const TPM2_ECC_CURVE | in,
|  | json_object ** | jso )

Serialize TPM2_ECC_CURVE to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_ECC_CURVE.

## ifapi_json_TPM2_EO_serialize()

TSS2_RC ifapi_json_TPM2_EO_serialize | ( | const TPM2_EO | in,
|  | json_object ** | jso )

Serialize TPM2_EO to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_EO.

## ifapi_json_TPM2_GENERATED_serialize()

TSS2_RC ifapi_json_TPM2_GENERATED_serialize | ( | const TPM2_GENERATED | in,
|  | json_object ** | jso )

Serialize TPM2_GENERATED to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_GENERATED.

## ifapi_json_TPM2_HANDLE_serialize()

TSS2_RC ifapi_json_TPM2_HANDLE_serialize | ( | const TPM2_HANDLE | in,
|  | json_object ** | jso )

Serialize value of type TPM2_HANDLE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2_HANDLE.

## ifapi_json_TPM2_NT_serialize()

TSS2_RC ifapi_json_TPM2_NT_serialize | ( | const TPM2_NT | in,
|  | json_object ** | jso )

Serialize TPM2_NT to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_NT.

## ifapi_json_TPM2_PT_PCR_serialize()

TSS2_RC ifapi_json_TPM2_PT_PCR_serialize | ( | const TPM2_PT_PCR | in,
|  | json_object ** | jso )

Serialize TPM2_PT_PCR to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_PT_PCR.

## ifapi_json_TPM2_PT_serialize()

TSS2_RC ifapi_json_TPM2_PT_serialize | ( | const TPM2_PT | in,
|  | json_object ** | jso )

Serialize TPM2_PT to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_PT.

## ifapi_json_TPM2_ST_serialize()

TSS2_RC ifapi_json_TPM2_ST_serialize | ( | const TPM2_ST | in,
|  | json_object ** | jso )

Serialize TPM2_ST to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPM2_ST.

## ifapi_json_TPM2B_CREATION_DATA_serialize()

TSS2_RC ifapi_json_TPM2B_CREATION_DATA_serialize | ( | const TPM2B_CREATION_DATA * | in,
|  | json_object ** | jso )

Serialize a TPM2B_CREATION_DATA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_CREATION_DATA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_DATA_serialize()

TSS2_RC ifapi_json_TPM2B_DATA_serialize | ( | const TPM2B_DATA * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_DATA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_DATA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_DIGEST_serialize()

TSS2_RC ifapi_json_TPM2B_DIGEST_serialize | ( | const TPM2B_DIGEST * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_DIGEST to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_DIGEST.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_ECC_PARAMETER_serialize()

TSS2_RC ifapi_json_TPM2B_ECC_PARAMETER_serialize | ( | const TPM2B_ECC_PARAMETER * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_ECC_PARAMETER to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_ECC_PARAMETER.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_ENCRYPTED_SECRET_serialize()

TSS2_RC ifapi_json_TPM2B_ENCRYPTED_SECRET_serialize | ( | const TPM2B_ENCRYPTED_SECRET * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_ENCRYPTED_SECRET to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_ENCRYPTED_SECRET.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_EVENT_serialize()

TSS2_RC ifapi_json_TPM2B_EVENT_serialize | ( | const TPM2B_EVENT * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_EVENT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_EVENT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_MAX_NV_BUFFER_serialize()

TSS2_RC ifapi_json_TPM2B_MAX_NV_BUFFER_serialize | ( | const TPM2B_MAX_NV_BUFFER * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_MAX_NV_BUFFER to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_MAX_NV_BUFFER.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_NAME_serialize()

TSS2_RC ifapi_json_TPM2B_NAME_serialize | ( | const TPM2B_NAME * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_NAME to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_NAME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_NONCE_serialize()

TSS2_RC ifapi_json_TPM2B_NONCE_serialize | ( | const TPM2B_NONCE * | in,
|  | json_object ** | jso )

Serialize a TPM2B_NONCE to json.

Parameters

  [in] | in | value of type TPM2B_NONCE to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_NONCE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_NV_PUBLIC_serialize()

TSS2_RC ifapi_json_TPM2B_NV_PUBLIC_serialize | ( | const TPM2B_NV_PUBLIC * | in,
|  | json_object ** | jso )

Serialize a TPM2B_NV_PUBLIC to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_NV_PUBLIC.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_OPERAND_serialize()

TSS2_RC ifapi_json_TPM2B_OPERAND_serialize | ( | const TPM2B_OPERAND * | in,
|  | json_object ** | jso )

Serialize a TPM2B_OPERAND to json.

Parameters

  [in] | in | value of type TPM2B_OPERAND to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_OPERAND.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_PRIVATE_serialize()

TSS2_RC ifapi_json_TPM2B_PRIVATE_serialize | ( | const TPM2B_PRIVATE * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_PRIVATE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_PRIVATE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_PUBLIC_KEY_RSA_serialize()

TSS2_RC ifapi_json_TPM2B_PUBLIC_KEY_RSA_serialize | ( | const TPM2B_PUBLIC_KEY_RSA * | in,
|  | json_object ** | jso )

Serialize value of type TPM2B_PUBLIC_KEY_RSA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_PUBLIC_KEY_RSA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPM2B_PUBLIC_serialize()

TSS2_RC ifapi_json_TPM2B_PUBLIC_serialize | ( | const TPM2B_PUBLIC * | in,
|  | json_object ** | jso )

Serialize a TPM2B_PUBLIC to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_PUBLIC.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMA_ALGORITHM_serialize()

TSS2_RC ifapi_json_TPMA_ALGORITHM_serialize | ( | const TPMA_ALGORITHM | in,
|  | json_object ** | jso )

Serialize a TPMA_ALGORITHM to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPMA_ALGORITHM.

## ifapi_json_TPMA_CC_serialize()

TSS2_RC ifapi_json_TPMA_CC_serialize | ( | const TPMA_CC | in,
|  | json_object ** | jso )

Serialize a TPMA_CC to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPMA_CC.

## ifapi_json_TPMA_LOCALITY_serialize()

TSS2_RC ifapi_json_TPMA_LOCALITY_serialize | ( | const TPMA_LOCALITY | in,
|  | json_object ** | jso )

Serialize a TPMA_LOCALITY to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPMA_LOCALITY.

## ifapi_json_TPMA_NV_serialize()

TSS2_RC ifapi_json_TPMA_NV_serialize | ( | const TPMA_NV | in,
|  | json_object ** | jso )

Serialize a TPMA_NV to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPMA_NV.

## ifapi_json_TPMA_OBJECT_serialize()

TSS2_RC ifapi_json_TPMA_OBJECT_serialize | ( | const TPMA_OBJECT | in,
|  | json_object ** | jso )

Serialize a TPMA_OBJECT to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPMA_OBJECT.

## ifapi_json_TPMI_AES_KEY_BITS_serialize()

TSS2_RC ifapi_json_TPMI_AES_KEY_BITS_serialize | ( | const TPMI_AES_KEY_BITS | in,
|  | json_object ** | jso )

Serialize value of type TPMI_AES_KEY_BITS to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMI_AES_KEY_BITS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMI_ALG_ASYM_SCHEME_serialize()

TSS2_RC ifapi_json_TPMI_ALG_ASYM_SCHEME_serialize | ( | const TPMI_ALG_ASYM_SCHEME | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_ASYM_SCHEME to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_CIPHER_MODE_serialize()

TSS2_RC ifapi_json_TPMI_ALG_CIPHER_MODE_serialize | ( | const TPMI_ALG_CIPHER_MODE | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_CIPHER_MODE to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_ECC_SCHEME_serialize()

TSS2_RC ifapi_json_TPMI_ALG_ECC_SCHEME_serialize | ( | const TPMI_ALG_ECC_SCHEME | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_ECC_SCHEME to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_HASH_serialize()

TSS2_RC ifapi_json_TPMI_ALG_HASH_serialize | ( | const TPMI_ALG_HASH | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_HASH to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_KDF_serialize()

TSS2_RC ifapi_json_TPMI_ALG_KDF_serialize | ( | const TPMI_ALG_KDF | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_KDF to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_KEYEDHASH_SCHEME_serialize()

TSS2_RC ifapi_json_TPMI_ALG_KEYEDHASH_SCHEME_serialize | ( | const TPMI_ALG_KEYEDHASH_SCHEME | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_KEYEDHASH_SCHEME to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_PUBLIC_serialize()

TSS2_RC ifapi_json_TPMI_ALG_PUBLIC_serialize | ( | const TPMI_ALG_PUBLIC | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_PUBLIC to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_RSA_SCHEME_serialize()

TSS2_RC ifapi_json_TPMI_ALG_RSA_SCHEME_serialize | ( | const TPMI_ALG_RSA_SCHEME | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_RSA_SCHEME to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_SIG_SCHEME_serialize()

TSS2_RC ifapi_json_TPMI_ALG_SIG_SCHEME_serialize | ( | const TPMI_ALG_SIG_SCHEME | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_SIG_SCHEME to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_SYM_MODE_serialize()

TSS2_RC ifapi_json_TPMI_ALG_SYM_MODE_serialize | ( | const TPMI_ALG_SYM_MODE | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_SYM_MODE to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ALG_SYM_OBJECT_serialize()

TSS2_RC ifapi_json_TPMI_ALG_SYM_OBJECT_serialize | ( | const TPMI_ALG_SYM_OBJECT | in,
|  | json_object ** | jso )

Serialize TPMI_ALG_SYM_OBJECT to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_ECC_CURVE_serialize()

TSS2_RC ifapi_json_TPMI_ECC_CURVE_serialize | ( | const TPMI_ECC_CURVE | in,
|  | json_object ** | jso )

Serialize value of type TPMI_ECC_CURVE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMI_ECC_CURVE.

## ifapi_json_TPMI_POLICYTYPE_serialize()

TSS2_RC ifapi_json_TPMI_POLICYTYPE_serialize | ( | const TPMI_POLICYTYPE | in,
|  | json_object ** | jso )

Serialize TPMI_POLICYTYPE to json.

Parameters

  [in] | in | constant to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPMI_POLICYTYPE.

## ifapi_json_TPMI_POLICYTYPE_serialize_txt()

TSS2_RC ifapi_json_TPMI_POLICYTYPE_serialize_txt | ( | const TPMI_POLICYTYPE | in,
|  | json_object ** | str_jso )

Get json object for a constant, if a variable is actually of type TPMI_POLICYTYPE.

Parameters

  [in] | in | binary value of constant.
  [out] | str_jso | with text representing the constant.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the constant is not of type TPMI_POLICYTYPE.

## ifapi_json_TPMI_RH_HIERARCHY_serialize()

TSS2_RC ifapi_json_TPMI_RH_HIERARCHY_serialize | ( | const TPMI_RH_HIERARCHY | in,
|  | json_object ** | jso )

Serialize TPMI_RH_HIERARCHY to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_RH_NV_INDEX_serialize()

TSS2_RC ifapi_json_TPMI_RH_NV_INDEX_serialize | ( | const TPMI_RH_NV_INDEX | in,
|  | json_object ** | jso )

Serialize value of type TPMI_RH_NV_INDEX to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMI_RH_NV_INDEX.

## ifapi_json_TPMI_RSA_KEY_BITS_serialize()

TSS2_RC ifapi_json_TPMI_RSA_KEY_BITS_serialize | ( | const TPMI_RSA_KEY_BITS | in,
|  | json_object ** | jso )

Serialize value of type TPMI_RSA_KEY_BITS to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMI_RSA_KEY_BITS.

## ifapi_json_TPMI_ST_ATTEST_serialize()

TSS2_RC ifapi_json_TPMI_ST_ATTEST_serialize | ( | const TPMI_ST_ATTEST | in,
|  | json_object ** | jso )

Serialize TPMI_ST_ATTEST to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPMI_YES_NO_serialize()

TSS2_RC ifapi_json_TPMI_YES_NO_serialize | ( | const TPMI_YES_NO | in,
|  | json_object ** | jso )

Serialize TPMI_YES_NO to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_FAPI_RC_BAD_VALUE | if an invalid value was passed into the function.
  TSS2_FAPI_RC_MEMORY | if not enough memory can be allocated.

## ifapi_json_TPML_ALG_PROPERTY_serialize()

TSS2_RC ifapi_json_TPML_ALG_PROPERTY_serialize | ( | const TPML_ALG_PROPERTY * | in,
|  | json_object ** | jso )

Serialize value of type TPML_ALG_PROPERTY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_ALG_PROPERTY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_CC_serialize()

TSS2_RC ifapi_json_TPML_CC_serialize | ( | const TPML_CC * | in,
|  | json_object ** | jso )

Serialize value of type TPML_CC to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_CC.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_CCA_serialize()

TSS2_RC ifapi_json_TPML_CCA_serialize | ( | const TPML_CCA * | in,
|  | json_object ** | jso )

Serialize value of type TPML_CCA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_CCA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_DIGEST_VALUES_serialize()

TSS2_RC ifapi_json_TPML_DIGEST_VALUES_serialize | ( | const TPML_DIGEST_VALUES * | in,
|  | json_object ** | jso )

Serialize value of type TPML_DIGEST_VALUES to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_DIGEST_VALUES.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_ECC_CURVE_serialize()

TSS2_RC ifapi_json_TPML_ECC_CURVE_serialize | ( | const TPML_ECC_CURVE * | in,
|  | json_object ** | jso )

Serialize value of type TPML_ECC_CURVE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_ECC_CURVE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_HANDLE_serialize()

TSS2_RC ifapi_json_TPML_HANDLE_serialize | ( | const TPML_HANDLE * | in,
|  | json_object ** | jso )

Serialize value of type TPML_HANDLE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_HANDLE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_PCR_SELECTION_serialize()

TSS2_RC ifapi_json_TPML_PCR_SELECTION_serialize | ( | const TPML_PCR_SELECTION * | in,
|  | json_object ** | jso )

Serialize value of type TPML_PCR_SELECTION to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_PCR_SELECTION.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_PCRVALUES_serialize()

TSS2_RC ifapi_json_TPML_PCRVALUES_serialize | ( | const TPML_PCRVALUES * | in,
|  | json_object ** | jso )

Serialize value of type TPML_PCRVALUES to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_PCRVALUES.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_POLICYBRANCHES_serialize()

TSS2_RC ifapi_json_TPML_POLICYBRANCHES_serialize | ( | const TPML_POLICYBRANCHES * | in,
|  | json_object ** | jso )

Serialize value of type TPML_POLICYBRANCHES to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_POLICYBRANCHES.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_POLICYELEMENTS_serialize()

TSS2_RC ifapi_json_TPML_POLICYELEMENTS_serialize | ( | const TPML_POLICYELEMENTS * | in,
|  | json_object ** | jso )

Serialize value of type TPML_POLICYELEMENTS to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_POLICYELEMENTS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_TAGGED_PCR_PROPERTY_serialize()

TSS2_RC ifapi_json_TPML_TAGGED_PCR_PROPERTY_serialize | ( | const TPML_TAGGED_PCR_PROPERTY * | in,
|  | json_object ** | jso )

Serialize value of type TPML_TAGGED_PCR_PROPERTY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_TAGGED_PCR_PROPERTY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPML_TAGGED_TPM_PROPERTY_serialize()

TSS2_RC ifapi_json_TPML_TAGGED_TPM_PROPERTY_serialize | ( | const TPML_TAGGED_TPM_PROPERTY * | in,
|  | json_object ** | jso )

Serialize value of type TPML_TAGGED_TPM_PROPERTY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPML_TAGGED_TPM_PROPERTY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ALG_PROPERTY_serialize()

TSS2_RC ifapi_json_TPMS_ALG_PROPERTY_serialize | ( | const TPMS_ALG_PROPERTY * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_ALG_PROPERTY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_ALG_PROPERTY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ATTEST_serialize()

TSS2_RC ifapi_json_TPMS_ATTEST_serialize | ( | const TPMS_ATTEST * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_ATTEST to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_ATTEST.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CAPABILITY_DATA_serialize()

TSS2_RC ifapi_json_TPMS_CAPABILITY_DATA_serialize | ( | const TPMS_CAPABILITY_DATA * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_CAPABILITY_DATA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_CAPABILITY_DATA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CERTIFY_INFO_serialize()

TSS2_RC ifapi_json_TPMS_CERTIFY_INFO_serialize | ( | const TPMS_CERTIFY_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_CERTIFY_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_CERTIFY_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CLOCK_INFO_serialize()

TSS2_RC ifapi_json_TPMS_CLOCK_INFO_serialize | ( | const TPMS_CLOCK_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_CLOCK_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_CLOCK_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_COMMAND_AUDIT_INFO_serialize()

TSS2_RC ifapi_json_TPMS_COMMAND_AUDIT_INFO_serialize | ( | const TPMS_COMMAND_AUDIT_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_COMMAND_AUDIT_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_COMMAND_AUDIT_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CREATION_DATA_serialize()

TSS2_RC ifapi_json_TPMS_CREATION_DATA_serialize | ( | const TPMS_CREATION_DATA * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_CREATION_DATA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_CREATION_DATA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_CREATION_INFO_serialize()

TSS2_RC ifapi_json_TPMS_CREATION_INFO_serialize | ( | const TPMS_CREATION_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_CREATION_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_CREATION_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ECC_PARMS_serialize()

TSS2_RC ifapi_json_TPMS_ECC_PARMS_serialize | ( | const TPMS_ECC_PARMS * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_ECC_PARMS to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_ECC_PARMS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ECC_POINT_serialize()

TSS2_RC ifapi_json_TPMS_ECC_POINT_serialize | ( | const TPMS_ECC_POINT * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_ECC_POINT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_ECC_POINT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_EMPTY_serialize()

TSS2_RC ifapi_json_TPMS_EMPTY_serialize | ( | const TPMS_EMPTY * | in,
|  | json_object ** | jso )

Serialize a TPMS_EMPTY.

Parameters

  [in] | in | not used.
  [in] | jso | not used.

Return values

  TSS2_RC_SUCCESS | is always returnde.

## ifapi_json_TPMS_ENC_SCHEME_OAEP_serialize()

TSS2_RC ifapi_json_TPMS_ENC_SCHEME_OAEP_serialize | ( | const TPMS_ENC_SCHEME_OAEP * | in,
|  | json_object ** | jso )

Serialize a TPMS_ENC_SCHEME_OAEP to json.

Parameters

  [in] | in | value of type TPMS_ENC_SCHEME_OAEP to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_ENC_SCHEME_OAEP.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_ENC_SCHEME_RSAES_serialize()

TSS2_RC ifapi_json_TPMS_ENC_SCHEME_RSAES_serialize | ( | const TPMS_ENC_SCHEME_RSAES * | in,
|  | json_object ** | jso )

Serialize a TPMS_ENC_SCHEME_RSAES to json.

Parameters

  [in] | in | value of type TPMS_ENC_SCHEME_RSAES to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_ENC_SCHEME_RSAES.

## ifapi_json_TPMS_KEY_SCHEME_ECDH_serialize()

TSS2_RC ifapi_json_TPMS_KEY_SCHEME_ECDH_serialize | ( | const TPMS_KEY_SCHEME_ECDH * | in,
|  | json_object ** | jso )

Serialize a TPMS_KEY_SCHEME_ECDH to json.

Parameters

  [in] | in | value of type TPMS_KEY_SCHEME_ECDH to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_KEY_SCHEME_ECDH.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_KEYEDHASH_PARMS_serialize()

TSS2_RC ifapi_json_TPMS_KEYEDHASH_PARMS_serialize | ( | const TPMS_KEYEDHASH_PARMS * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_KEYEDHASH_PARMS to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_KEYEDHASH_PARMS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_NV_CERTIFY_INFO_serialize()

TSS2_RC ifapi_json_TPMS_NV_CERTIFY_INFO_serialize | ( | const TPMS_NV_CERTIFY_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_NV_CERTIFY_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_NV_CERTIFY_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_NV_PUBLIC_serialize()

TSS2_RC ifapi_json_TPMS_NV_PUBLIC_serialize | ( | const TPMS_NV_PUBLIC * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_NV_PUBLIC to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_NV_PUBLIC.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_PCR_SELECT_serialize()

TSS2_RC ifapi_json_TPMS_PCR_SELECT_serialize | ( | const TPMS_PCR_SELECT * | in,
|  | json_object ** | jso )

Serialize a TPMS_PCR_SELECT structure to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_PCR_SELECTION.

## ifapi_json_TPMS_PCR_SELECTION_serialize()

TSS2_RC ifapi_json_TPMS_PCR_SELECTION_serialize | ( | const TPMS_PCR_SELECTION * | in,
|  | json_object ** | jso )

Serialize a TPMS_PCR_SELECTION structure to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_PCR_SELECTION.

## ifapi_json_TPMS_PCRVALUE_serialize()

TSS2_RC ifapi_json_TPMS_PCRVALUE_serialize | ( | const TPMS_PCRVALUE * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_PCRVALUE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_PCRVALUE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICY_serialize()

TSS2_RC ifapi_json_TPMS_POLICY_serialize | ( | const TPMS_POLICY * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYACTION_serialize()

TSS2_RC ifapi_json_TPMS_POLICYACTION_serialize | ( | const TPMS_POLICYACTION * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYACTION to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYACTION.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYAUTHORIZATION_serialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHORIZATION_serialize | ( | const TPMS_POLICYAUTHORIZATION * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYAUTHORIZATION to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYAUTHORIZATION.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYAUTHORIZE_serialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHORIZE_serialize | ( | const TPMS_POLICYAUTHORIZE * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYAUTHORIZE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYAUTHORIZE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYAUTHORIZENV_serialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHORIZENV_serialize | ( | const TPMS_POLICYAUTHORIZENV * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYAUTHORIZENV to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYAUTHORIZENV.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYAUTHVALUE_serialize()

TSS2_RC ifapi_json_TPMS_POLICYAUTHVALUE_serialize | ( | const TPMS_POLICYAUTHVALUE * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYAUTHVALUE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYAUTHVALUE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYBRANCH_serialize()

TSS2_RC ifapi_json_TPMS_POLICYBRANCH_serialize | ( | const TPMS_POLICYBRANCH * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYBRANCH to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYBRANCH.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYCOMMANDCODE_serialize()

TSS2_RC ifapi_json_TPMS_POLICYCOMMANDCODE_serialize | ( | const TPMS_POLICYCOMMANDCODE * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYCOMMANDCODE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYCOMMANDCODE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYCOUNTERTIMER_serialize()

TSS2_RC ifapi_json_TPMS_POLICYCOUNTERTIMER_serialize | ( | const TPMS_POLICYCOUNTERTIMER * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYCOUNTERTIMER to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYCOUNTERTIMER.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYCPHASH_serialize()

TSS2_RC ifapi_json_TPMS_POLICYCPHASH_serialize | ( | const TPMS_POLICYCPHASH * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYCPHASH to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYCPHASH.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYDUPLICATIONSELECT_serialize()

TSS2_RC ifapi_json_TPMS_POLICYDUPLICATIONSELECT_serialize | ( | const TPMS_POLICYDUPLICATIONSELECT * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYDUPLICATIONSELECT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYDUPLICATIONSELECT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYLOCALITY_serialize()

TSS2_RC ifapi_json_TPMS_POLICYLOCALITY_serialize | ( | const TPMS_POLICYLOCALITY * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYLOCALITY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYLOCALITY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYNAMEHASH_serialize()

TSS2_RC ifapi_json_TPMS_POLICYNAMEHASH_serialize | ( | const TPMS_POLICYNAMEHASH * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYNAMEHASH to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYNAMEHASH.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYNV_serialize()

TSS2_RC ifapi_json_TPMS_POLICYNV_serialize | ( | const TPMS_POLICYNV * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYNV to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYNV.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYNVWRITTEN_serialize()

TSS2_RC ifapi_json_TPMS_POLICYNVWRITTEN_serialize | ( | const TPMS_POLICYNVWRITTEN * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYNVWRITTEN to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYNVWRITTEN.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYOR_serialize()

TSS2_RC ifapi_json_TPMS_POLICYOR_serialize | ( | const TPMS_POLICYOR * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYOR to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYOR.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYPASSWORD_serialize()

TSS2_RC ifapi_json_TPMS_POLICYPASSWORD_serialize | ( | const TPMS_POLICYPASSWORD * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYPASSWORD to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYPASSWORD.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYPCR_serialize()

TSS2_RC ifapi_json_TPMS_POLICYPCR_serialize | ( | const TPMS_POLICYPCR * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYPCR to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYPCR.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYPHYSICALPRESENCE_serialize()

TSS2_RC ifapi_json_TPMS_POLICYPHYSICALPRESENCE_serialize | ( | const TPMS_POLICYPHYSICALPRESENCE * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYPHYSICALPRESENCE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYPHYSICALPRESENCE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_POLICYSECRET_serialize()

TSS2_RC ifapi_json_TPMS_POLICYSECRET_serialize | ( | const TPMS_POLICYSECRET * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYSECRET to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYSECRET.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYSIGNED_serialize()

TSS2_RC ifapi_json_TPMS_POLICYSIGNED_serialize | ( | const TPMS_POLICYSIGNED * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYSIGNED to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYSIGNED.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_POLICYTEMPLATE_serialize()

TSS2_RC ifapi_json_TPMS_POLICYTEMPLATE_serialize | ( | const TPMS_POLICYTEMPLATE * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_POLICYTEMPLATE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_POLICYTEMPLATE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

< counter for conditional fields

## ifapi_json_TPMS_QUOTE_INFO_serialize()

TSS2_RC ifapi_json_TPMS_QUOTE_INFO_serialize | ( | const TPMS_QUOTE_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_QUOTE_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_QUOTE_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_RSA_PARMS_serialize()

TSS2_RC ifapi_json_TPMS_RSA_PARMS_serialize | ( | const TPMS_RSA_PARMS * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_RSA_PARMS to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_RSA_PARMS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_ECDAA_serialize()

TSS2_RC ifapi_json_TPMS_SCHEME_ECDAA_serialize | ( | const TPMS_SCHEME_ECDAA * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_SCHEME_ECDAA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SCHEME_ECDAA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_HASH_serialize()

TSS2_RC ifapi_json_TPMS_SCHEME_HASH_serialize | ( | const TPMS_SCHEME_HASH * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_SCHEME_HASH to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SCHEME_HASH.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_HMAC_serialize()

TSS2_RC ifapi_json_TPMS_SCHEME_HMAC_serialize | ( | const TPMS_SCHEME_HMAC * | in,
|  | json_object ** | jso )

Serialize a TPMS_SCHEME_HMAC to json.

Parameters

  [in] | in | value of type TPMS_SCHEME_HMAC to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SCHEME_HMAC.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_KDF1_SP800_108_serialize()

TSS2_RC ifapi_json_TPMS_SCHEME_KDF1_SP800_108_serialize | ( | const TPMS_SCHEME_KDF1_SP800_108 * | in,
|  | json_object ** | jso )

Serialize a TPMS_SCHEME_KDF1_SP800_108 to json.

Parameters

  [in] | in | value of type TPMS_SCHEME_KDF1_SP800_108 to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SCHEME_KDF1_SP800_108.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_KDF1_SP800_56A_serialize()

TSS2_RC ifapi_json_TPMS_SCHEME_KDF1_SP800_56A_serialize | ( | const TPMS_SCHEME_KDF1_SP800_56A * | in,
|  | json_object ** | jso )

Serialize a TPMS_SCHEME_KDF1_SP800_56A to json.

Parameters

  [in] | in | value of type TPMS_SCHEME_KDF1_SP800_56A to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SCHEME_KDF1_SP800_56A.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_MGF1_serialize()

TSS2_RC ifapi_json_TPMS_SCHEME_MGF1_serialize | ( | const TPMS_SCHEME_MGF1 * | in,
|  | json_object ** | jso )

Serialize a TPMS_SCHEME_MGF1 to json.

Parameters

  [in] | in | value of type TPMS_SCHEME_MGF1 to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SCHEME_MGF1.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SCHEME_XOR_serialize()

TSS2_RC ifapi_json_TPMS_SCHEME_XOR_serialize | ( | const TPMS_SCHEME_XOR * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_SCHEME_XOR to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SCHEME_XOR.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SESSION_AUDIT_INFO_serialize()

TSS2_RC ifapi_json_TPMS_SESSION_AUDIT_INFO_serialize | ( | const TPMS_SESSION_AUDIT_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_SESSION_AUDIT_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SESSION_AUDIT_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_ECDAA_serialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_ECDAA_serialize | ( | const TPMS_SIG_SCHEME_ECDAA * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIG_SCHEME_ECDAA to json.

Parameters

  [in] | in | value of type TPMS_SIG_SCHEME_ECDAA to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIG_SCHEME_ECDAA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_ECDSA_serialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_ECDSA_serialize | ( | const TPMS_SIG_SCHEME_ECDSA * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIG_SCHEME_ECDSA to json.

Parameters

  [in] | in | value of type TPMS_SIG_SCHEME_ECDSA to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIG_SCHEME_ECDSA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_ECSCHNORR_serialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_ECSCHNORR_serialize | ( | const TPMS_SIG_SCHEME_ECSCHNORR * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIG_SCHEME_ECSCHNORR to json.

Parameters

  [in] | in | value of type TPMS_SIG_SCHEME_ECSCHNORR to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIG_SCHEME_ECSCHNORR.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_RSAPSS_serialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_RSAPSS_serialize | ( | const TPMS_SIG_SCHEME_RSAPSS * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIG_SCHEME_RSAPSS to json.

Parameters

  [in] | in | value of type TPMS_SIG_SCHEME_RSAPSS to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIG_SCHEME_RSAPSS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_RSASSA_serialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_RSASSA_serialize | ( | const TPMS_SIG_SCHEME_RSASSA * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIG_SCHEME_RSASSA to json.

Parameters

  [in] | in | value of type TPMS_SIG_SCHEME_RSASSA to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIG_SCHEME_RSASSA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIG_SCHEME_SM2_serialize()

TSS2_RC ifapi_json_TPMS_SIG_SCHEME_SM2_serialize | ( | const TPMS_SIG_SCHEME_SM2 * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIG_SCHEME_SM2 to json.

Parameters

  [in] | in | value of type TPMS_SIG_SCHEME_SM2 to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIG_SCHEME_SM2.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECC_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECC_serialize | ( | const TPMS_SIGNATURE_ECC * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_SIGNATURE_ECC to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_ECC.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECDAA_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECDAA_serialize | ( | const TPMS_SIGNATURE_ECDAA * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIGNATURE_ECDAA to json.

Parameters

  [in] | in | value of type TPMS_SIGNATURE_ECDAA to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_ECDAA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECDSA_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECDSA_serialize | ( | const TPMS_SIGNATURE_ECDSA * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIGNATURE_ECDSA to json.

Parameters

  [in] | in | value of type TPMS_SIGNATURE_ECDSA to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_ECDSA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_ECSCHNORR_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_ECSCHNORR_serialize | ( | const TPMS_SIGNATURE_ECSCHNORR * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIGNATURE_ECSCHNORR to json.

Parameters

  [in] | in | value of type TPMS_SIGNATURE_ECSCHNORR to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_ECSCHNORR.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_RSA_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_RSA_serialize | ( | const TPMS_SIGNATURE_RSA * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_SIGNATURE_RSA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_RSA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_RSAPSS_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_RSAPSS_serialize | ( | const TPMS_SIGNATURE_RSAPSS * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIGNATURE_RSAPSS to json.

Parameters

  [in] | in | value of type TPMS_SIGNATURE_RSAPSS to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_RSAPSS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_RSASSA_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_RSASSA_serialize | ( | const TPMS_SIGNATURE_RSASSA * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIGNATURE_RSASSA to json.

Parameters

  [in] | in | value of type TPMS_SIGNATURE_RSASSA to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_RSASSA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SIGNATURE_SM2_serialize()

TSS2_RC ifapi_json_TPMS_SIGNATURE_SM2_serialize | ( | const TPMS_SIGNATURE_SM2 * | in,
|  | json_object ** | jso )

Serialize a TPMS_SIGNATURE_SM2 to json.

Parameters

  [in] | in | value of type TPMS_SIGNATURE_SM2 to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SIGNATURE_SM2.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_SYMCIPHER_PARMS_serialize()

TSS2_RC ifapi_json_TPMS_SYMCIPHER_PARMS_serialize | ( | const TPMS_SYMCIPHER_PARMS * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_SYMCIPHER_PARMS to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_SYMCIPHER_PARMS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_TAGGED_PCR_SELECT_serialize()

TSS2_RC ifapi_json_TPMS_TAGGED_PCR_SELECT_serialize | ( | const TPMS_TAGGED_PCR_SELECT * | in,
|  | json_object ** | jso )

Serialize a TPMS_TAGGED_PCR_SELECT structure to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_TAGGED_PCR_SELECT.

## ifapi_json_TPMS_TAGGED_PROPERTY_serialize()

TSS2_RC ifapi_json_TPMS_TAGGED_PROPERTY_serialize | ( | const TPMS_TAGGED_PROPERTY * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_TAGGED_PROPERTY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_TAGGED_PROPERTY.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_TIME_ATTEST_INFO_serialize()

TSS2_RC ifapi_json_TPMS_TIME_ATTEST_INFO_serialize | ( | const TPMS_TIME_ATTEST_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_TIME_ATTEST_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_TIME_ATTEST_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMS_TIME_INFO_serialize()

TSS2_RC ifapi_json_TPMS_TIME_INFO_serialize | ( | const TPMS_TIME_INFO * | in,
|  | json_object ** | jso )

Serialize value of type TPMS_TIME_INFO to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMS_TIME_INFO.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_ECC_SCHEME_serialize()

TSS2_RC ifapi_json_TPMT_ECC_SCHEME_serialize | ( | const TPMT_ECC_SCHEME * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_ECC_SCHEME to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_ECC_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_HA_serialize()

TSS2_RC ifapi_json_TPMT_HA_serialize | ( | const TPMT_HA * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_HA to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_HA.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_KDF_SCHEME_serialize()

TSS2_RC ifapi_json_TPMT_KDF_SCHEME_serialize | ( | const TPMT_KDF_SCHEME * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_KDF_SCHEME to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_KDF_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_KEYEDHASH_SCHEME_serialize()

TSS2_RC ifapi_json_TPMT_KEYEDHASH_SCHEME_serialize | ( | const TPMT_KEYEDHASH_SCHEME * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_KEYEDHASH_SCHEME to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_KEYEDHASH_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_POLICYELEMENT_serialize()

TSS2_RC ifapi_json_TPMT_POLICYELEMENT_serialize | ( | const TPMT_POLICYELEMENT * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_POLICYELEMENT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_POLICYELEMENT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_PUBLIC_serialize()

TSS2_RC ifapi_json_TPMT_PUBLIC_serialize | ( | const TPMT_PUBLIC * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_PUBLIC to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_PUBLIC.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_RSA_SCHEME_serialize()

TSS2_RC ifapi_json_TPMT_RSA_SCHEME_serialize | ( | const TPMT_RSA_SCHEME * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_RSA_SCHEME to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_RSA_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_SIG_SCHEME_serialize()

TSS2_RC ifapi_json_TPMT_SIG_SCHEME_serialize | ( | const TPMT_SIG_SCHEME * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_SIG_SCHEME to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_SIG_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_SIGNATURE_serialize()

TSS2_RC ifapi_json_TPMT_SIGNATURE_serialize | ( | const TPMT_SIGNATURE * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_SIGNATURE to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_SIGNATURE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_SYM_DEF_OBJECT_serialize()

TSS2_RC ifapi_json_TPMT_SYM_DEF_OBJECT_serialize | ( | const TPMT_SYM_DEF_OBJECT * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_SYM_DEF_OBJECT to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_SYM_DEF_OBJECT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMT_TK_CREATION_serialize()

TSS2_RC ifapi_json_TPMT_TK_CREATION_serialize | ( | const TPMT_TK_CREATION * | in,
|  | json_object ** | jso )

Serialize value of type TPMT_TK_CREATION to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMT_TK_CREATION.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_ASYM_SCHEME_serialize()

TSS2_RC ifapi_json_TPMU_ASYM_SCHEME_serialize | ( | const TPMU_ASYM_SCHEME * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_ASYM_SCHEME to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the scheme.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_ASYM_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_ATTEST_serialize()

TSS2_RC ifapi_json_TPMU_ATTEST_serialize | ( | const TPMU_ATTEST * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_ATTEST to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the attest.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_ATTEST.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_CAPABILITIES_serialize()

TSS2_RC ifapi_json_TPMU_CAPABILITIES_serialize | ( | const TPMU_CAPABILITIES * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_CAPABILITIES to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the capabilities.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_CAPABILITIES.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_HA_serialize()

TSS2_RC ifapi_json_TPMU_HA_serialize | ( | const TPMU_HA * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_HA to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the HA object.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_HA.

## ifapi_json_TPMU_KDF_SCHEME_serialize()

TSS2_RC ifapi_json_TPMU_KDF_SCHEME_serialize | ( | const TPMU_KDF_SCHEME * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_KDF_SCHEME to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the KDF scheme.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_KDF_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_POLICYELEMENT_serialize()

TSS2_RC ifapi_json_TPMU_POLICYELEMENT_serialize | ( | const TPMU_POLICYELEMENT * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_POLICYELEMENT to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the policy element.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_POLICYELEMENT.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_PUBLIC_ID_serialize()

TSS2_RC ifapi_json_TPMU_PUBLIC_ID_serialize | ( | const TPMU_PUBLIC_ID * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_PUBLIC_ID to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the public ID.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_PUBLIC_ID.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_PUBLIC_PARMS_serialize()

TSS2_RC ifapi_json_TPMU_PUBLIC_PARMS_serialize | ( | const TPMU_PUBLIC_PARMS * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_PUBLIC_PARMS to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the public parameters.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_PUBLIC_PARMS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SCHEME_KEYEDHASH_serialize()

TSS2_RC ifapi_json_TPMU_SCHEME_KEYEDHASH_serialize | ( | const TPMU_SCHEME_KEYEDHASH * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_SCHEME_KEYEDHASH to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the keyedhash scheme.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_SCHEME_KEYEDHASH.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SIG_SCHEME_serialize()

TSS2_RC ifapi_json_TPMU_SIG_SCHEME_serialize | ( | const TPMU_SIG_SCHEME * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_SIG_SCHEME to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the signature scheme.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_SIG_SCHEME.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SIGNATURE_serialize()

TSS2_RC ifapi_json_TPMU_SIGNATURE_serialize | ( | const TPMU_SIGNATURE * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_SIGNATURE to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the signature.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_SIGNATURE.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SYM_KEY_BITS_serialize()

TSS2_RC ifapi_json_TPMU_SYM_KEY_BITS_serialize | ( | const TPMU_SYM_KEY_BITS * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_SYM_KEY_BITS to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the symmetric algorithm.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_SYM_KEY_BITS.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.

## ifapi_json_TPMU_SYM_MODE_serialize()

TSS2_RC ifapi_json_TPMU_SYM_MODE_serialize | ( | const TPMU_SYM_MODE * | in,
|  | UINT32 | selector,
|  | json_object ** | jso )

Serialize a TPMU_SYM_MODE to json.

This function expects the Bitfield to be encoded as unsigned int in host-endianess.

Parameters

  [in] | in | the value to be serialized.
  [in] | selector | the type of the symmetric mode.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPMU_SYM_MODE.

## ifapi_json_UINT16_serialize()

TSS2_RC ifapi_json_UINT16_serialize | ( | const UINT16 | in,
|  | json_object ** | jso )

Serialize a base_type UINT16 to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type UINT16.

## ifapi_json_UINT32_serialize()

TSS2_RC ifapi_json_UINT32_serialize | ( | const UINT32 | in,
|  | json_object ** | jso )

Serialize a base_type UINT32 to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type UINT32.

## ifapi_json_UINT64_serialize()

TSS2_RC ifapi_json_UINT64_serialize | ( | UINT64 | in,
|  | json_object ** | jso )

Serialize a base_type UINT64 to json.

Parameters

  [in] | in | variable to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type UINT64.

## ifapi_json_UINT8_ARY_serialize()

TSS2_RC ifapi_json_UINT8_ARY_serialize | ( | const UINT8_ARY * | in,
|  | json_object ** | jso )

Serialize value of type UINT8_ARY to json.

Parameters

  [in] | in | value to be serialized.
  [out] | jso | pointer to the json object.

Return values

  TSS2_RC_SUCCESS | if the function call was a success.
  TSS2_FAPI_RC_MEMORY | if the FAPI cannot allocate enough memory.
  TSS2_FAPI_RC_BAD_VALUE | if the value is not of type TPM2B_DIGEST.
  TSS2_FAPI_RC_BAD_REFERENCE | a invalid null pointer is passed.